//
//  main.m
//  berechnungKreis
//
//  Created by Holger Hinzberg
//  http://www.cocoa-coding.de/kids 

#import <Foundation/Foundation.h>

void berechneUmfang(double radius);
void berechneFlaeche(double radius);

int main (int argc, const char * argv[])
{
    NSAutoreleasePool * pool = [[NSAutoreleasePool alloc] init];

    double radius = 45.00;
    
    int auswahl = 0;
    // 0 Umfang berechnen
    // 1 Fläche berechnen
    
    switch(auswahl)
    {
        case 0:
            berechneUmfang(radius);
            break;
        case 1:
            berechneFlaeche(radius);
            break;
        default:
            NSLog(@"Falsche Auswahl!");
            break;
    }

    [pool drain];
    return 0;
}

void berechneUmfang(double radius)
{
    double umfang =  2.0 * M_PI * radius;
    NSLog(@"Berechnung des Umfangs");
    NSLog(@"Der Radius ist %.2f",radius);
    NSLog(@"Der Umfang ist %.2f",umfang);
}

void berechneFlaeche(double radius)
{
    double flaeche = M_PI * pow(radius,2); 
    NSLog(@"Berechnung der Fläche");
    NSLog(@"Der Radius ist %.2f",radius);
    NSLog(@"Die Fläche ist %.2f",flaeche);
}

