//  Created by Holger Hinzberg
//  http://www.cocoa-coding.de/kids 

#import <Foundation/Foundation.h>

double berechneZinsen (double kontostand, double zinssatz, int laufzeit);
bool wunschbetragErreicht (double wunschbetrag, double kontostand);

int main (int argc, const char * argv[]) {
    NSAutoreleasePool * pool = 
    [[NSAutoreleasePool alloc] init];
    
    double kontostand = 100.0;
    double zinssatz = 6.5; 
    double wunschbetrag = 800;
    double neuerKontostand;
    bool erreicht;
    
    for(int lauf = 5; lauf <= 100; lauf = lauf + 5)
    {
        neuerKontostand = 
        berechneZinsen(kontostand, zinssatz, lauf);
        
        NSLog(@"Der Kontostand nach %i Jahren ist %.2f",
              lauf, neuerKontostand);
        
        erreicht = 
        wunschbetragErreicht(wunschbetrag, neuerKontostand);
        
        if(erreicht == true)
        {
            NSLog(@"Wunschbetrag erreicht!");
            break;
        }
    }
    
    [pool drain];
    return 0;
}

double berechneZinsen
(double kontostand, double zinssatz, int laufzeit)
{
    double neuerKontostand = 
    kontostand * pow( zinssatz/100 + 1, laufzeit ); 
    return neuerKontostand;
}

bool wunschbetragErreicht
(double wunschbetrag, double kontostand)
{
    if(kontostand >= wunschbetrag)
    {
        return true;
    }
    return false;
}
